*Data Prepartion for Regressions

clear all

set maxvar 32767
set matsize 11000

*DealScan data - deal & facility level - WorldCom Lender dummy
use "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Pac - Borrowercompanyid - Dealactivedate - FacilityID - Lendercompanyid.dta"
so packageid facilityid lendercompanyid
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/ALL WC Lender.dta"
gen wc_lender=1 if _merge==3
replace wc_lender=0 if wc_lender==.
drop _merge

*Deal/Facility Start Date/Quarter 
split dealactivedate, g(part) p("/")
rename part1 day
rename part3 year
rename part2 month

gen dealactivedate_num = year + month + day 
destring dealactivedate_num, replace

drop year month day 
keep if dealactivedate_num>=20000101
keep if dealactivedate_num<20040401

gen post=1 if dealactivedate_num>20020331
replace post=0 if post==.

split dealactivedate, g(part) p("/")
gen year=part3
destring year, replace
gen dealactivedate_temp = part3 + "-" + part2 + "-" + part1
gen deal_start_date = date(dealactivedate_temp, "YMD")
format deal_start_date %td

gen deal_qt = quarter(deal_start_date)
tostring deal_qt, replace
gen datacqtr = part3 + "Q" + deal_qt
gen deal_yrqt= part3+deal_qt
destring deal_yrqt, replace 

drop part* dealactivedate_temp

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/facstartenddate.dta"
drop if _merge==2
drop _merge

*Securitizing Lender Dummy: lenders with CLO access ("S&P Capital IQ")
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/SecLenderList.dta"
gen sec=1 if _merge==3
replace sec=0 if _merge!=3
drop if _merge==2
drop _merge

*Lead arranger identified by DealScan (leadarrangercredit=="Yes" or agentcredit=="Yes" or bankallocation==100)
merge 1:1 facilityid lendercompanyid using "/Users/aa21271/Dropbox/dealscan data work/borrower default/Fac_Lead_Arranger-simple method.dta"
drop if _merge==2
drop _merge
replace lead_arranger=0 if lead_arranger==.

*Deal/Facility Info (All from DealScan)
merge m:1 packageid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/packageid - dealamount.dta"
keep if _merge==3
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/packageid - dealpurpose.dta"
keep if _merge==3
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/pac - borrower - dealactivedate.dta"
keep if _merge==3
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/pac - maturity.dta"
keep if _merge==3
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/Loan Spread per Package.dta"
drop if _merge==2
drop _merge

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Facility -loantype.dta"
keep if _merge==3
drop _merge

merge m:1 facilityid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/Revolving_with_TermB.dta"
drop if _merge==2
drop _merge

merge m:1 facilityid lendercompanyid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/LenderShares.dta"
drop if _merge==2
drop _merge

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Facility - amt, maturity, secured.dta"
drop if _merge==2
drop _merge

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/CurrFacPricing-mini.dta"
drop if _merge==2
drop _merge


merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/n_part per facility.dta"
drop if _merge==2
drop _merge

*Keep main facilities (Amortizing and Revolving)
keep if loantype=="Term Loan" | loantype=="Term Loan A" |loantype=="Term Loan B" | loantype=="Revolver/Line < 1 Yr." | loantype=="Revolver/Line >= 1 Yr." 

gen fac_rev=1 if loantype=="Revolver/Line < 1 Yr." | loantype=="Revolver/Line >= 1 Yr." | loantype=="364-Day Facility"
replace fac_rev=0 if fac_rev!=1
gen fac_term_loan=1 if loantype=="Term Loan" 
gen fac_term_a=1 if loantype=="Term Loan A"

replace fac_term_a=0 if fac_term_a!=1
gen fac_term_b=1 if loantype=="Term Loan B"
replace fac_term_b=0 if fac_term_b!=1

so packageid facilityid 
by packageid: egen deal_w_rev=sum(fac_rev)
by packageid: egen deal_w_term_loan=sum(fac_term_loan)

by packageid: egen deal_w_term_a=sum(fac_term_a)
by packageid: egen deal_w_term_b=sum(fac_term_b)

replace deal_w_rev=1 if deal_w_rev>0
replace deal_w_term_loan=1 if deal_w_term_loan>0

replace deal_w_term_a=1 if deal_w_term_a>0
replace deal_w_term_b=1 if deal_w_term_b>0

*Deal Lead Arranger 
gen deal_la=1 if lead_arranger==1 & fac_term_a==1 
replace deal_la=1 if lead_arranger==1 & deal_la==. & deal_w_term_loan==1
replace deal_la=1 if lead_arranger==1 & deal_la==. & deal_w_term_loan==0 & deal_w_term_a==1 
replace deal_la=1 if lead_arranger==1 & deal_la==. & deal_w_term_loan==0 & deal_w_term_a==0 & deal_w_rev==1
replace deal_la=1 if lead_arranger==1 & deal_la==. & deal_w_term_loan==0 & deal_w_term_a==0 & deal_w_rev==0 & deal_w_term_b==1

replace deal_la=0 if deal_la==.
la var deal_la "Prob(Lead Arranger) in Deals"

gen dealpurpose_1=1 if dealpurpose=="LBO"
replace dealpurpose_1=1 if dealpurpose=="Debt Repay."
replace dealpurpose_1=1 if dealpurpose=="Takeover"
replace dealpurpose_1=1 if dealpurpose=="Recap."
replace dealpurpose_1=0 if dealpurpose_1==.

*Borrower Industry (DealScan)
merge m:1 borrowercompanyid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/borrower_industrycode.dta"
drop if _merge==2
drop _merge

gen str4 primarysiccode_temp = string(primarysiccode, "%04.0f")
gen primarysic_1=substr(primarysiccode_temp, 1, 1)
destring primarysic_1, replace 

*Borrower Characteristics (Compustat)
merge m:1 borrowercompanyid packageid using "/Users/aa21271/Dropbox/dealscan data work/DS Compustat - matching file by Roberts.dta"
drop if _merge==2
drop _merge

merge m:1 gvkey packageid datacqtr using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Compustat - financials - quarterly - packageid.dta"
drop _merge

gen sic_firstdigit=substr(sic, 1, 1)
destring sic_firstdigit, replace
gen sic_twodigits = substr(sic, 1,2 )
destring sic_twodigits, replace
drop if sic_twodigits==64 | sic_twodigits==65 | sic_twodigits==66 | sic_twodigits==61

gen ln_maturity=ln(maturity)
gen ln_deal_amount=ln(dealamount+1) 
gen ln_assets = ln(atq)
gen roa= oibdpq/atq
gen coverage= oibdpq/xintq
gen leverage= ltq/atq


*Lender Characteristics (SNL & CompustatBank)
merge m:1 lendercompanyid year using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/Lender Control.dta"
drop if _merge==2
drop _merge

split datafqtr, g(part) p("Q")
gen findata_yr_qtr = part1 + part2
destring findata_yr_qtr, replace
la var findata_yr_qtr "first four digits: year, last digit: quarter"
drop part*

so packageid findata_yr_qtr
by packageid: gen ln_assets_lag = ln_assets[_n-1]
by packageid: gen roa_lag = roa[_n-1]
by packageid: gen coverage_lag = coverage[_n-1]
by packageid: gen leverage_lag = leverage[_n-1]
by packageid: gen z_scoreq_lag = z_scoreq[_n-1]
drop if findata_yr_qtr==19993
drop if findata_yr_qtr==19994
keep if dealactivedate_num<20040401

*Interactions
gen int_sec_post = sec*post
gen int_post_wc = post*wc_lender
gen int_wc_sec = wc_lender*sec
gen int_sec_post_wc = sec*post*wc_lender

*CLO Amount Pre-shock by lender (SNL)
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/CLO_Amount_Pre.dta"
drop if _merge==2
drop _merge

replace sum_clo_pre=1 if sum_clo_pre==.
gen lsum_clo_pre=ln(sum_clo_pre)
gen int_secamt_post = lsum_clo_pre*post

la var lead_arranger "Lead Arranger"
la var post "Post"
la var sec "CLO\ Access"
la var wc_lender "WC Lender"
la var int_sec_post "CLO\ Access X Post"
la var int_post_wc "Post X WC"
la var int_wc_sec "WC X CLO\ Access"
la var int_sec_post_wc "CLO\ Access X Post X WC"
la var ln_deal_amount "Ln(Deal Amount)"
la var ln_maturity "Ln(Maturity)"
la var dealpurpose_1 "Deal Purpose"

*Lender Characteristics (SNL & CompustatBank)
merge m:1 lendercompanyid year using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/Lender Control.dta"
drop if _merge==2
drop _merge

*Cleaning (small size loans - bottom quartile)
drop if ln_deal_amount<18.72
drop if n_part<6
drop if fac_maturity==0
drop if maturity==0
drop if loanspread_total<0
drop if facilityamt==0

*Facility Maturity 
drop fac_start_yq fac_start_date fac_end_date fac_maturity

split facilitystartdate, g(part) p("/")
rename part3 fac_startyear
rename part2 fac_startday
rename part1 fac_startmonth
gen facstartdate_temp = fac_startyear + "-" + fac_startmonth + "-" + fac_startday

gen fac_start_date = date(facstartdate_temp, "YMD")
format fac_start_date %td
gen fac_start_ym = mofd(fac_start_date)
format fac_start_ym %tm
gen fac_start_yq = qofd(fac_start_date)
format fac_start_yq %tq

split facilityenddate, g(part) p("/")
rename part3 fac_endyear
rename part2 fac_endday
rename part1 fac_endmonth
gen facenddate_temp = fac_endyear + "-" + fac_endmonth + "-" + fac_endday

gen fac_end_date = date(facenddate_temp, "YMD")
format fac_end_date %td
gen fac_end_ym = mofd(fac_end_date)
format fac_end_ym %tm
gen fac_end_yq = qofd(fac_end_date)
format fac_end_yq %tq

gen fac_maturity=fac_end_ym-fac_start_ym
gen ln_fac_maturity = ln(fac_maturity)

*Collateral Manager Independence
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/colmanager_underwriter_dependence.dta"
drop if _merge==2
drop _merge

*CLO Issue: Total Amount before the shock (SNL)
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/CLO_Amount_Pre.dta"
drop if _merge==2
drop _merge

*Bank Control Vars
destring fac_startyear, replace
drop year
rename fac_startyear year
merge m:1 year lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/Bank_Controls.dta"
drop if _merge==2
drop _merge

*Bank name
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Company - lendercompanyid.dta"
keep if _merge==3
drop _merge
drop lender
rename company lender

*Global CLO Demand (S&P Capital IQ on Securitization)
merge m:1 year using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/CLO Demand.dta"
drop if _merge==2
drop _merge

*Lender Characteristics (SNL & CompustatBank)
gen ln_bank_ta=ln(bank_total_assets)
gen bank_eq_to_ta=bank_total_equity/bank_total_assets
replace bank_probloan_grosscustomerloan=bank_probloan_grosscustomerloan/100
replace bank_roaa=bank_roaa/100
replace bank_roae=bank_roae/100
gen bank_deposit_to_ta=bank_totaldepostisfromcustomers/bank_total_assets
gen bank_netcustomerloans_ta=bank_netcustomerloans/bank_total_assets
gen bank_cashcasheq_ta=bank_cashcasheq/bank_total_assets

la var loanspread_A "Loan Spread in Term A"
la var loanspread_B "Loan Spread in Term B"
la var loanspread_total "Total Loan Spread"
la var lead_arranger "Prob(Lead Arranger)"
la var ln_bank_ta "Ln(Lender Size)"
la var bank_eq_to_ta "Lender Capital"
la var bank_roae "Lender ROA"
la var bank_deposit_to_ta "Lender Deposit"
la var bank_cashcasheq_ta "Lender Liquidity"

egen ln_bankta_pre=mean(ln_bank_ta), by(lendercompanyid post)
replace ln_bankta_pre=. if post==1
bysort lendercompanyid (ln_bankta_pre) : gen ln_bankta_pre2 = ln_bankta_pre[1]
gen int_ln_bankta_pre_post=ln_bankta_pre2*post

egen bank_eq_to_ta_pre=mean(bank_eq_to_ta), by(lendercompanyid post)
replace bank_eq_to_ta_pre=. if post==1
bysort lendercompanyid (bank_eq_to_ta_pre) : gen bank_eq_to_ta_pre2 = bank_eq_to_ta_pre[1]
gen int_bank_eq_to_ta_pre_post=bank_eq_to_ta_pre2*post

egen bank_roae_pre=mean(bank_roae), by(lendercompanyid post)
replace bank_roae_pre=. if post==1
bysort lendercompanyid (bank_roae_pre) : gen bank_roae_pre2 = bank_roae_pre[1]
gen int_bank_roae_pre_post=bank_roae_pre2*post

egen bank_deposit_to_ta_pre=mean(bank_deposit_to_ta), by(lendercompanyid post)
replace bank_deposit_to_ta_pre=. if post==1
bysort lendercompanyid (bank_deposit_to_ta_pre) : gen bank_deposit_to_ta_pre2 = bank_deposit_to_ta_pre[1]
gen int_bank_deposit_to_ta_pre_post=bank_deposit_to_ta_pre2*post

egen bank_cashcasheq_ta_pre=mean(bank_cashcasheq_ta), by(lendercompanyid post)
replace bank_cashcasheq_ta_pre=. if post==1
bysort lendercompanyid (bank_cashcasheq_ta_pre) : gen bank_cashcasheq_ta_pre2 = bank_cashcasheq_ta_pre[1] 
gen int_bank_cashcasheq_ta_pre_post=bank_cashcasheq_ta_pre2*post

la var int_ln_bankta_pre_post "Ln(Lender Size) X Post"
la var int_bank_eq_to_ta_pre_post "Lender Capital X Post"
la var int_bank_roae_pre_post "Lender ROA X Post"
la var int_bank_deposit_to_ta_pre_post "Lender Deposit X Post"
la var int_bank_cashcasheq_ta_pre_post "Lender Liquidity X Post"

egen lender_qt=group(lendercompanyid deal_yrqt)
egen borrower_qt=group(borrowercompanyid deal_yrqt)
egen borrower_lender=group(borrowercompanyid lendercompanyid) 
egen ind_qt=group(primarysic_1 deal_yrqt)

save "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/probability to be a lead arranger/prob(lead arranger).dta", replace

********************************************************************************************************************************

*Table 1: Deal Characteristics Summary
clear all
use "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/probability to be a lead arranger/prob(lead arranger).dta"

gen int_secamt_post_wc = int_secamt_post*wc_lender
gen int_secamt_wc=lsum_clo_pre*wc_lender

gen yr_qt=datafqtr

merge m:1 packageid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/AllInDrawn_byPackage.dta"
drop if _merge==2
drop _merge

gen ln_dealamount=ln(dealamount)
gen ln_dealmaturity=ln(maturity)
la var ln_dealamount "Ln(Deal Amount)"
la var ln_dealmaturity "Ln(Deal Maturity)"
la var simple_avg_spread "Spread"

merge m:1 packageid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/covenant/packageid-covenant.dta"
drop if _merge==2
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/pac - n of part.dta"
drop if _merge==2
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/covenant/packageid-covenant.dta"
drop if _merge==2
drop _merge

*keep deal level information (remove repeated observations for a deal)
keep deal_la ln_dealamount dealamount ln_dealmaturity maturity simple_avg_spread deal_total_spread int_sec_post_wc int_sec_post int_post_wc packageid lendercompanyid primarysic_1 deal_yrqt wc_lender sec pac_n_part year br_index
duplicates drop 


*SumSTAT: Deal Characteristics (to construct a summary for the observations in the regression, run the main model)
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
gen sample=e(sample)

keep if deal_la==1

la var dealamount "Deal Amount (mm)"
la var maturity "Deal Maturity"
la var pac_n_part "Deal N of Participants"
la var deal_total_spread "Deal Total Spread"

replace dealamount=dealamount/1000000


*Table 1: deal summary statistics 
*Panel A: All Lenders: WorldCom vs Non-WorldCom
estimates clear
estpost tabstat dealamount maturity pac_n_part deal_total_spread br_index if sample==1& year==2001, stats(mean sd) columns(statistics)
est store A 
estpost tabstat dealamount maturity pac_n_part deal_total_spread br_index if wc_lender==1 & sample==1& year==2001, stats(mean sd) columns(statistics) 
est store B
estpost tabstat dealamount maturity pac_n_part deal_total_spread br_index if wc_lender==0 & sample==1& year==2001, stats(mean sd) columns(statistics) 
est store C
esttab A B C using sum_stat1.tex, replace cells("mean(fmt(2)) sd(fmt(2))") mtitle("All Lenders" "WorldCom Lenders" "Non-WorldCom Lender") label title ("Summary Statistics") 

estpost ttest dealamount maturity pac_n_part deal_total_spread br_index if sample==1 & year==2001, by (wc_lender)
est store D
esttab D using tab2.tex, wide nonumber mtitle("diff.") b(2) star(* 0.10 ** 0.05 *** 0.01) replace 


*Panel B: All Lenders: with CLO access vs without CLO access
estimates clear
estpost tabstat dealamount maturity pac_n_part deal_total_spread br_index if sample==1& year==2001, stats(mean sd) columns(statistics)
est store A 
estpost tabstat dealamount maturity pac_n_part deal_total_spread br_index if sec==1 & sample==1& year==2001, stats(mean sd) columns(statistics) 
est store B
estpost tabstat dealamount maturity pac_n_part deal_total_spread br_index if sec==0 & sample==1& year==2001, stats(mean sd) columns(statistics) 
est store C
esttab A B C using sum_stat1.tex, replace cells("mean(fmt(2)) sd(fmt(2))") mtitle("All Lenders" "WorldCom Lenders" "Non-WorldCom Lender") label title ("Summary Statistics") 

estpost ttest dealamount maturity pac_n_part deal_total_spread br_index if sample==1 & year==2001, by (sec)
est store D
esttab D using tab2.tex, wide nonumber mtitle("diff.") b(2) star(* 0.10 ** 0.05 *** 0.01) replace 


*Panel C: WorldCom Lenders: with CLO access vs without CLO access
estimates clear
estpost tabstat dealamount maturity pac_n_part deal_total_spread br_index if sample==1& wc_lender==1& year==2001, stats(mean sd) columns(statistics)
est store A 
estpost tabstat dealamount maturity pac_n_part deal_total_spread br_index if wc_lender==1 & sec==1 & sample==1& year==2001, stats(mean sd) columns(statistics) 
est store B
estpost tabstat dealamount maturity pac_n_part deal_total_spread br_index if wc_lender==1 & sec==0 & sample==1& year==2001, stats(mean sd) columns(statistics) 
est store C
esttab A B C using sum_stat1.tex, replace cells("mean(fmt(2)) sd(fmt(2))") mtitle("All Lenders" "WorldCom Lenders" "Non-WorldCom Lender") label title ("Summary Statistics") 

estpost ttest dealamount maturity pac_n_part deal_total_spread br_index if wc_lender==1 & sample==1 & year==2001, by (sec)
est store D
esttab D using tab2.tex, wide nonumber mtitle("diff.") b(2) star(* 0.10 ** 0.05 *** 0.01) replace 

********************************************************************************************************************************

*Table 2 Bank Characteristics Summary
clear all
use "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/probability to be a lead arranger/prob(lead arranger).dta"

gen int_secamt_post_wc = int_secamt_post*wc_lender
gen int_secamt_wc=lsum_clo_pre*wc_lender

gen yr_qt=datafqtr

keep deal_la post sec wc_lender int_sec_post_wc int_sec_post int_post_wc int_wc_sec lendercompanyid primarysic_1 deal_yrqt packageid deal_w_term_b deal_w_term_a deal_w_term_loan deal_w_rev dealpurpose dealamount maturity dealpurpose_1 ind_qt int_secamt_post_wc int_secamt_post wc_lender delta_globalclo_out year dealactivedate_num int_secamt_wc yr_qt int_ln_bankta_pre_post int_bank_eq_to_ta_pre_post int_bank_roae_pre_post int_bank_deposit_to_ta_pre_post int_bank_cashcasheq_ta_pre_post 
duplicates drop 

merge m:1 lendercompanyid year using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/BankControl_CompustatYearly.dta"
drop if _merge==2
drop _merge

gen ln_ta=ln(at+1)
gen eq_ta=ceq/at
gen roa= ni/at
replace roa=roa*100
gen deposit_ta=dptc/at
gen cash_ta=chech/at
gen loan_ta=lcacrd/at

egen ln_ta_pre=mean(ln_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (ln_ta_pre) : gen ln_ta_pre2 = ln_ta_pre[1]
gen int_ln_ta_pre_post=ln_ta_pre2*post

egen eq_pre=mean(eq_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (eq_pre) : gen eq_pre2 = eq_pre[1]
gen int_eq_pre_post=eq_pre2*post

egen roa_pre=mean(roa) if post==0, by(lendercompanyid)
bysort lendercompanyid (roa_pre) : gen roa_pre2 = roa_pre[1]
gen int_roa_pre_post=roa_pre2*post

egen deposit_pre=mean(deposit_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (deposit_pre) : gen deposit_pre2 = deposit_pre[1]
gen int_deposit_pre_post=deposit_pre2*post

egen cash_pre=mean(cash_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (cash_pre) : gen cash_pre2 = cash_pre[1]
gen int_cash_pre_post=eq_pre2*post

egen loan_pre=mean(loan_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (loan_pre) : gen loan_pre2 = loan_pre[1]
gen int_loan_pre_post=loan_pre2*post

gen liquidity=stbo+dptc
gen liquidity_ta=liquidity/at
egen liquidity_ta_pre=mean(liquidity_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (liquidity_ta_pre) : gen liquidity_ta_pre2 = liquidity_ta_pre[1]
gen int_liquidity_pre_post=liquidity_ta_pre2*post

la var int_ln_ta_pre_post "Ln(Lender Size) X Post"
la var int_eq_pre_post "Lender Equity Ratio X Post"
la var int_roa_pre_post "Lender ROA X Post"
la var int_liquidity_pre_post "Lender Liquidity X Post"

local bank_control int_ln_ta_pre_post int_eq_pre_post int_roa_pre_post int_liquidity_pre_post 

*identify the sample with all bank characteristics variables
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc `bank_control', absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
gen sample=e(sample)

la var at "Lender Total Assets"
la var eq_ta "Lender Equity over TA"
la var roa "Lender ROA"
la var deposit_ta "Lender Deposit over TA"
la var liquidity_ta "Lender Liquidity over TA" 
replace at=at/1000

keep if deal_la==1
keep at eq_ta roa deposit_ta liquidity_ta sample year wc_lender sec
duplicates drop 


*Table 2: bank summary statistics 
*Panel A: WorldCom vs Non-WorldCom Lenders
estimates clear
estpost tabstat at eq_ta roa deposit_ta liquidity_ta if sample==1& year<2002, stats(mean sd) columns(statistics)
est store A 
estpost tabstat at eq_ta roa deposit_ta liquidity_ta if wc_lender==1 & sample==1& year<2002, stats(mean sd) columns(statistics) 
est store B
estpost tabstat at eq_ta roa deposit_ta liquidity_ta if wc_lender==0 & sample==1& year<2002, stats(mean sd) columns(statistics) 
est store C
esttab A B C using sum_stat1.tex, replace cells("mean(fmt(2)) sd(fmt(2))") mtitle("All Lenders" "WorldCom Lenders" "Non-WorldCom Lender") label title ("Summary Statistics") 

estpost ttest at eq_ta roa deposit_ta liquidity_ta if sample==1 & year<2002, by (wc_lender)
est store D
esttab D using tab2.tex, wide nonumber mtitle("diff.") b(2) star(* 0.10 ** 0.05 *** 0.01) replace 

*Panel B: Lenders with CLO access vs without CLO access
estimates clear
estpost tabstat at eq_ta roa deposit_ta liquidity_ta if sample==1 & year<2002, stats(mean sd) columns(statistics)
est store A 
estpost tabstat at eq_ta roa deposit_ta liquidity_ta if sec==1 & sample==1 & year<2002, stats(mean sd) columns(statistics) 
est store B
estpost tabstat at eq_ta roa deposit_ta liquidity_ta if sec==0 & sample==1 & year<2002, stats(mean sd) columns(statistics) 
est store C
esttab A B C using sum_stat1.tex, replace cells("mean(fmt(2)) sd(fmt(2))") mtitle("All Lenders" "Securitizing Lenders" "Non-Securitizing Lenders") label title ("Summary Statistics") 

estpost ttest at eq_ta roa deposit_ta liquidity_ta if sample==1 & year<2002, by (sec)
est store D
esttab D using tab2.tex, wide nonumber mtitle("diff.") b(2) star(* 0.10 ** 0.05 *** 0.01) replace 

********************************************************************************************************************************

*Table 3: The impact of WorldCom demise on loan origination
*repliaction of Lin and Paravisini (RoF, 2014)

*Deal Level: Table 3 Columns (1) and (2)
clear all
*Number of deals originiated by lender-quarter from DealScan 
use "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Preliminary Test/ndeals_by_lender.dta"
*merge with WorldCom lender list
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/ALL WC Lender.dta"
gen wc_lender=1 if _merge==3
replace wc_lender=0 if wc_lender==.
drop _merge

drop if deal_start_yq >tq(2003q3)
gen post=1 if deal_start_yq>tq(2002q1)
replace post=0 if post==.

*merge with securitizing lender list 
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/SecLenderList.dta"
gen sec=1 if _merge==3
replace sec=0 if _merge!=3
drop if _merge==2
drop _merge

gen ldeals=ln(n_deals)
la var ldeals "Number of deals participated"

*Interactions
gen int_sec_post = sec*post
gen int_post_wc = post*wc_lender
gen int_wc_sec = wc_lender*sec
gen int_sec_post_wc = sec*post*wc_lender

*columns (1) and (2)
eststo clear
eststo: reghdfe ldeals int_post_wc, absorb(lendercompanyid deal_start_yq) vce(cluster lendercompanyid)
eststo: reghdfe ldeals int_sec_post_wc int_sec_post int_post_wc, absorb(lendercompanyid deal_start_yq) vce(cluster lendercompanyid)
esttab using tab.tex, title ("Size and N of Deals after the shock") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label


*Facility Level: Table 3 Columns (3) and (4)
clear all
*Number of facilities originiated by lender-quarter using DealScan 
use "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Preliminary Test/nfac by lender-quarter.dta", replace
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/ALL WC Lender.dta"
gen wc_lender=1 if _merge==3
replace wc_lender=0 if wc_lender==.
drop _merge

drop if fac_start_yq >tq(2003q3)
gen post=1 if fac_start_yq>tq(2002q1)
replace post=0 if post==.

merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/SecLenderList.dta"
gen sec=1 if _merge==3
replace sec=0 if _merge!=3
drop if _merge==2
drop _merge

gen ln_facility=ln(n_facility)
la var ln_facility "Number of facilities participated"

*Interactions
gen int_sec_post = sec*post
gen int_post_wc = post*wc_lender
gen int_wc_sec = wc_lender*sec
gen int_sec_post_wc = sec*post*wc_lender

*columns (3) and (4)
eststo clear
eststo: reghdfe ln_facility int_post_wc, absorb(lendercompanyid fac_start_yq) vce(cluster lendercompanyid)
eststo: reghdfe ln_facility int_sec_post_wc int_sec_post int_post_wc, absorb(lendercompanyid fac_start_yq) vce(cluster lendercompanyid)
esttab using tab.tex, title ("Size and N of Deals after the shock") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label

********************************************************************************************************************************
*Table 4: Securitization Activity Post-Shock

*Amount of CLO Liabilities issued from SNL
clear all
use "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/lenders_sec_liabilissued.dta"

la var undercode "Underwriter ID"
la var collatcode "Collateral Manager ID"

gen quarter=1 if month=="Jan" | month=="Feb" | month=="Mar" 
replace quarter=2 if month=="Apr" | month=="May" | month=="Jun" 
replace quarter=3 if month=="Jul" | month=="Aug" | month=="Sep" 
replace quarter=4 if month=="Oct" | month=="Nov" | month=="Dec" 

*construct total liabilities issued by bank-quarter
so underwriteragent year
collapse (sum) liabilitiesissued undercode, by(underwriteragent year quarter)

*identify WorldCom-affected banks
gen wc = 1 if undercode==34068 | undercode==9309 | undercode==84644 | undercode==35681 | undercode==6532 | undercode==7878 | undercode==29380 | undercode==30898 | undercode==21038 | undercode==8926 | undercode==5972 | undercode==8857 | undercode==8834 | undercode==83344 | undercode==7842 | undercode==31382 | undercode==6014 | undercode==9057 | undercode==8884 | undercode==7891 | undercode==6127 | undercode==9369 | undercode==36078 | undercode==5889 | undercode==5893 | undercode==7861 | undercode==6123 | undercode==7868
replace wc = 0 if wc==.

tostring year, gen(year_st)
tostring quarter, gen(quarter_st)
gen year_qt = year_st+ quarter_st
destring year_qt, replace

egen bank_id = group(underwriteragent)

so bank_id year
by bank_id: egen wc_1=sum(wc)
drop wc
gen wc=1 if wc_1>0
replace wc=0 if wc==.

gen post = 1 if year>2001
replace post = 0 if quarter==1 |quarter==2
replace post = 0 if post==.
gen wc_post = wc*post

so bank_id year_qt
gen lliabilitiesissued=log(liabilitiesissued)
by bank_id: gen lliabilitiesissued_lag=lliabilitiesissued[_n-1]

la var wc_post "WorldCom X Post"
la var post "Post"
la var lliabilitiesissued "Ln(Liabil Issued)"

**Table 4
eststo clear
eststo: reg lliabilitiesissued wc_post post wc, cluster(underwriteragent)
eststo: reg lliabilitiesissued wc_post wc i.year_qt, cluster(underwriteragent)
eststo: reg lliabilitiesissued wc_post i.bank_id i.year_qt, cluster(underwriteragent)
esttab using tab1.tex, title ("Liabil Issued") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label

********************************************************************************************************************************
*Tables 5, 6, 7, 8, 11, 12, and 14

clear all
use "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/probability to be a lead arranger/prob(lead arranger).dta"

gen int_secamt_post_wc = int_secamt_post*wc_lender
gen int_secamt_wc=lsum_clo_pre*wc_lender
gen yr_qt=datafqtr

*Keep deal level information only to remove repeated obs for deal-lender caused by facility information
keep deal_la post sec wc_lender int_sec_post_wc int_sec_post int_post_wc int_wc_sec lendercompanyid primarysic_1 deal_yrqt packageid deal_w_term_b deal_w_term_a deal_w_term_loan deal_w_rev dealpurpose dealamount maturity dealpurpose_1 ind_qt int_secamt_post_wc int_secamt_post wc_lender delta_globalclo_out year dealactivedate_num int_secamt_wc yr_qt int_ln_bankta_pre_post int_bank_eq_to_ta_pre_post int_bank_roae_pre_post int_bank_deposit_to_ta_pre_post int_bank_cashcasheq_ta_pre_post 
duplicates drop 


*Remove deals with only revolving facilities 
gen rev_only=1 if deal_w_rev==1 & deal_w_term_a==0 & deal_w_term_b==0 & deal_w_term_loan==0
replace rev_only=0 if rev_only==.

*Table 5: Prob(Lead Arranger) in Syndicated Loan Deals
eststo clear
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
esttab using tab_deal.tex, title ("Probability(Lead Arranger) in Syndicated Loan Deals: Triple-Differences") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label


*Table 6: Prob(Lead Arranger) controlling for global CLO demand 
replace delta_globalclo_out=delta_globalclo_out/1000000
la var delta_globalclo_out "$\Delta$ Global CLO"

eststo clear
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc delta_globalclo_out if rev_only==0, absorb(lendercompanyid primarysic_1 ) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc delta_globalclo_out if rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc delta_globalclo_out if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid primarysic_1) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc delta_globalclo_out if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid primarysic_1 ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc delta_globalclo_out if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc delta_globalclo_out if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid primarysic_1 ind_qt) vce(cluster packageid lendercompanyid) noconstant
esttab using tab_deal.tex, title ("Probability(Lead Arranger) in Syndicated Loan Deals: Triple-Differences") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label


*Table 7: Prob(Lead Arranger) - subsample of securitizing banks using securitizing amount
la var int_secamt_post_wc "CLO Issuance X Post X WC"
la var int_secamt_post "CLO Issuance X Post"

eststo clear
eststo: reghdfe deal_la int_secamt_post_wc int_secamt_post if rev_only==0 & sec==1, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_secamt_post_wc int_secamt_post if rev_only==0 & sec==1, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_secamt_post_wc int_secamt_post if deal_w_term_b==0 &rev_only==0 & sec==1, absorb (lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_secamt_post_wc int_secamt_post if deal_w_term_b==0 &rev_only==0 & sec==1, absorb (lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_secamt_post_wc int_secamt_post if deal_w_term_b==1 &rev_only==0 & sec==1, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_secamt_post_wc int_secamt_post if deal_w_term_b==1 &rev_only==0 & sec==1, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
esttab using tab_secamt.tex, title ("Probability(Lead Arranger) in Syndicated Loan Deals: DD WC-Sec vs NonWC-Sec") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label


*Table 8: Prob(Lead Arranger) controlling for pre-shock lender characteristics
merge m:1 lendercompanyid year using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/BankControl_CompustatYearly.dta"
drop if _merge==2
drop _merge

gen ln_ta=ln(at+1)
gen eq_ta=ceq/at
gen roa= ni/at
gen deposit_ta=dptc/at
gen cash_ta=chech/at
gen loan_ta=lcacrd/at

egen ln_ta_pre=mean(ln_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (ln_ta_pre) : gen ln_ta_pre2 = ln_ta_pre[1]
gen int_ln_ta_pre_post=ln_ta_pre2*post

egen eq_pre=mean(eq_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (eq_pre) : gen eq_pre2 = eq_pre[1]
gen int_eq_pre_post=eq_pre2*post

egen roa_pre=mean(roa) if post==0, by(lendercompanyid)
bysort lendercompanyid (roa_pre) : gen roa_pre2 = roa_pre[1]
gen int_roa_pre_post=roa_pre2*post

egen deposit_pre=mean(deposit_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (deposit_pre) : gen deposit_pre2 = deposit_pre[1]
gen int_deposit_pre_post=deposit_pre2*post

egen cash_pre=mean(cash_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (cash_pre) : gen cash_pre2 = cash_pre[1]
gen int_cash_pre_post=eq_pre2*post

egen loan_pre=mean(loan_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (loan_pre) : gen loan_pre2 = loan_pre[1]
gen int_loan_pre_post=loan_pre2*post

gen liquidity=stbo+dptc
gen liquidity_ta=liquidity/at
egen liquidity_ta_pre=mean(liquidity_ta) if post==0, by(lendercompanyid)
bysort lendercompanyid (liquidity_ta_pre) : gen liquidity_ta_pre2 = liquidity_ta_pre[1]
gen int_liquidity_pre_post=liquidity_ta_pre2*post

*Use SNL variables if not available in CompustatBank (numbers consistent when checking samples that exist in both)
replace int_ln_ta_pre_post=int_ln_bankta_pre_post if int_ln_ta_pre_post==. & int_ln_bankta_pre_post!=.
replace int_eq_pre_post=int_bank_eq_to_ta_pre_post if int_eq_pre_post==. & int_bank_eq_to_ta_pre_post!=.
replace int_roa_pre_post=int_bank_roae_pre_post if int_roa_pre_post==. & int_bank_roae_pre_post!=.
replace int_deposit_pre_post=int_bank_deposit_to_ta_pre_post if int_deposit_pre_post==. & int_bank_deposit_to_ta_pre_post!=.
replace int_cash_pre_post=int_bank_cashcasheq_ta_pre_post if int_cash_pre_post==. & int_bank_cashcasheq_ta_pre_post!=.

la var int_ln_ta_pre_post "Ln(Lender Size) X Post"
la var int_eq_pre_post "Lender Equity Ratio X Post"
la var int_roa_pre_post "Lender ROA X Post"
la var int_liquidity_pre_post "Lender Liquidity X Post"

local bank_control int_ln_ta_pre_post int_eq_pre_post int_roa_pre_post int_liquidity_pre_post 

eststo clear
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc `bank_control' if rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc `bank_control' if rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc `bank_control' if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc `bank_control' if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc `bank_control' if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc `bank_control' if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
esttab using tab_bankcontrol.tex, title ("Probability(Lead Arranger) in Syndicated Loan Deals: Controlling for lender characteristics") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label


*Table 11: Prob(Lead Arranger) excluding (collateral manager=underwriter) cases
*Collateral Manager Dependence: colmanager_underwriter_dep=1 if (collateral manager=underwriter) using securitizing bank list from SNL
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/colmanager_underwriter_dependence.dta"
drop if _merge==2
drop _merge

eststo clear
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if rev_only==0 & colmanager_underwriter_dep!=1, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if rev_only==0 & colmanager_underwriter_dep!=1, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0 & colmanager_underwriter_dep!=1, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0 & colmanager_underwriter_dep!=1, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0 & colmanager_underwriter_dep!=1, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0 & colmanager_underwriter_dep!=1, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
esttab using tab_deal.tex, title ("Probability(Lead Arranger) in Syndicated Loan Deals: Triple-Differences") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label


*Table 12: Prob(Lead Arranger) excluding WorldCom's lead arrangers' deals (Bank of America 6532, Chase Manhattan Bank5889)
gen rep_deal=1 if (lendercompanyid==6532 |lendercompanyid==5889) & deal_la==1
replace rep_deal=0 if rep_deal==.
so packageid
by packageid: egen rep_deal2=sum(rep_deal)
replace rep_deal2=1 if rep_deal2>1

eststo clear
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if rev_only==0 & rep_deal2==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if rev_only==0 & rep_deal2==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0 & rep_deal2==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0 & rep_deal2==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0 & rep_deal2==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0 & rep_deal2==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
esttab using tab_no_wc_la.tex, title ("Probability(Lead Arranger) in Syndicated Loan Deals: Triple-Differences") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label


*Table 14: Prob(Lead Arranger) excluding post-9.11 period from pre-shock period 
preserve
drop if dealactivedate_num>20010911 & dealactivedate_num<20020231
eststo clear
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
esttab using tab_deal_excl911.tex, title ("Probability(Lead Arranger) in Syndicated Loan Deals: Triple-Differences") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label
restore 
********************************************************************************************************************************

*Table 9

clear all
use "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/probability to be a lead arranger/prob(lead arranger).dta"

replace facilityamt=facilityamt*10
gen term_a_amt=facilityamt if loantype=="Term Loan A"
gen term_b_amt=facilityamt if loantype=="Term Loan B"

bysort packageid: replace term_a_amt=term_a_amt[_n-1] if missing(term_a_amt) & _n>1  
bysort packageid: replace term_b_amt=term_b_amt[_n-1] if missing(term_b_amt) & _n>1  

keep if lead_arranger==1

gen terma_to_termbsize=term_a_amt/term_b_amt
gen terma_to_dealsize=term_a_amt/dealamount
gen termb_to_dealsize=term_b_amt/dealamount

la var terma_to_dealsize "Term A/Deal Size"
la var termb_to_dealsize "Term B/Deal Size"
la var terma_to_termbsize "Term A/Term B"

*Use the deals with both Term A and Term B
eststo: reghdfe terma_to_termbsize int_sec_post_wc int_sec_post int_post_wc, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster primarysic_1) noconstant
gen sample=e(sample)

*Table 9: Relative Term Size (facility level)
eststo clear
eststo: reghdfe terma_to_dealsize int_sec_post_wc int_sec_post int_post_wc if sample==1, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster primarysic_1 lendercompanyid) noconstant
eststo: reghdfe terma_to_dealsize int_sec_post_wc int_sec_post int_post_wc if sample==1, absorb(lendercompanyid ind_qt) vce(cluster primarysic_1 lendercompanyid) noconstant
eststo: reghdfe termb_to_dealsize int_sec_post_wc int_sec_post int_post_wc if sample==1, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster primarysic_1 lendercompanyid) noconstant
eststo: reghdfe termb_to_dealsize int_sec_post_wc int_sec_post int_post_wc if sample==1, absorb(lendercompanyid ind_qt) vce(cluster primarysic_1 lendercompanyid) noconstant
eststo: reghdfe terma_to_termbsize int_sec_post_wc int_sec_post int_post_wc if sample==1, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster primarysic_1) noconstant
eststo: reghdfe terma_to_termbsize int_sec_post_wc int_sec_post int_post_wc if sample==1, absorb(lendercompanyid ind_qt) vce(cluster primarysic_1) noconstant
esttab using tab_fac_size.tex, title ("Fac Size in Syndicated Loan Deals: Triple-Differences") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label

********************************************************************************************************************************

*Table 10

clear all
use "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/probability to be a lead arranger/prob(lead arranger).dta"

merge m:1 packageid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/AllInDrawn_byPackage.dta"
drop if _merge==2
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/covenant/packageid-covenant.dta"
drop if _merge==2
drop _merge

gen ln_dealamount=ln(dealamount)
gen ln_dealmaturity=ln(maturity)
la var ln_dealamount "Ln(Deal Amount)"
la var ln_dealmaturity "Ln(Deal Maturity)"
la var simple_avg_spread "Spread"

gen rev_only=1 if deal_w_rev==1 & deal_w_term_a==0 & deal_w_term_b==0 & deal_w_term_loan==0
replace rev_only=0 if rev_only==.
keep if deal_la==1

keep deal_la ln_dealmaturity deal_total_spread deal_weighted_spread simple_avg_spread int_sec_post_wc int_post_wc int_sec_post rev_only deal_w_term_b lendercompanyid primarysic_1 deal_yrqt ind_qt br_index
duplicates drop 

*Table 10: Deal Characteristics as Dependent Variables
*Panel A: Covenant
eststo clear
eststo: reghdfe br_index int_sec_post_wc int_sec_post int_post_wc if rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster lendercompanyid) noconstant
eststo: reghdfe br_index int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster lendercompanyid) noconstant
eststo: reghdfe br_index int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster lendercompanyid) noconstant
esttab using tab_dealcharac.tex, title ("Deal Characteristics") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label

*Panel B: ln(Maturity)
eststo clear
eststo: reghdfe ln_dealmaturity int_sec_post_wc int_sec_post int_post_wc if rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster lendercompanyid) noconstant
eststo: reghdfe ln_dealmaturity int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster lendercompanyid) noconstant
eststo: reghdfe ln_dealmaturity int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster lendercompanyid) noconstant
esttab using tab_dealcharac.tex, title ("Deal Characteristics") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label

*Panel C: Spread
replace simple_avg_spread=simple_avg_spread/100
eststo clear
eststo: reghdfe simple_avg_spread int_sec_post_wc int_sec_post int_post_wc if rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster lendercompanyid) noconstant
eststo: reghdfe simple_avg_spread int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster lendercompanyid) noconstant
eststo: reghdfe simple_avg_spread int_sec_post_wc int_sec_post int_post_wc if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster lendercompanyid) noconstant
esttab using tab_dealcharac.tex, title ("Deal Characteristics") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label

********************************************************************************************************************************
