*Table 13: Enron and WorldCom Lenders

clear all

set maxvar 32767
set matsize 11000

*DealScan data - deal & facility level - Enron Lender dummy
use "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Pac - Borrowercompanyid - Dealactivedate - FacilityID - Lendercompanyid.dta"
so packageid facilityid lendercompanyid
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/probability to be a lead arranger/enron_lenders.dta"
gen enron_lender=1 if _merge==3
replace enron_lender=0 if enron_lender==.
drop _merge

*Deal/Facility Start Date/Quarter 
split dealactivedate, g(part) p("/")
rename part1 day
rename part3 year
rename part2 month

gen dealactivedate_num = year + month + day 
destring dealactivedate_num, replace

drop year month day 
keep if dealactivedate_num>=19991001
keep if dealactivedate_num<20040101

gen post=1 if dealactivedate_num>=20011001
replace post=0 if post==.

split dealactivedate, g(part) p("/")
gen year=part3
destring year, replace
gen dealactivedate_temp = part3 + "-" + part2 + "-" + part1
gen deal_start_date = date(dealactivedate_temp, "YMD")
format deal_start_date %td

gen deal_qt = quarter(deal_start_date)
tostring deal_qt, replace
gen datacqtr = part3 + "Q" + deal_qt
gen deal_yrqt= part3+deal_qt
destring deal_yrqt, replace 

drop part* dealactivedate_temp

*drop deals between Enron and WorldCom
drop if dealactivedate_num>=20011001 & dealactivedate_num<=20011231

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/facstartenddate.dta"
drop if _merge==2
drop _merge

*Securitizing Lender Dummy: lenders with CLO access (S&P CLO Vehicle Data)
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/SecLenderList.dta"
gen sec=1 if _merge==3
replace sec=0 if _merge!=3
drop if _merge==2
drop _merge

*Lead arranger identified by DealScan (leadarrangercredit=="Yes" or agentcredit=="Yes" or bankallocation==100)
merge 1:1 facilityid lendercompanyid using "/Users/aa21271/Dropbox/dealscan data work/borrower default/Fac_Lead_Arranger-simple method.dta"
drop if _merge==2
drop _merge
replace lead_arranger=0 if lead_arranger==.

*Deal/Facility Info (All from DealScan)
merge m:1 packageid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/packageid - dealamount.dta"
keep if _merge==3
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/packageid - dealpurpose.dta"
keep if _merge==3
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/pac - borrower - dealactivedate.dta"
keep if _merge==3
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/pac - maturity.dta"
keep if _merge==3
drop _merge

merge m:1 packageid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/Loan Spread per Package.dta"
drop if _merge==2
drop _merge

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Facility -loantype.dta"
keep if _merge==3
drop _merge

merge m:1 facilityid using "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Base Data/Revolving_with_TermB.dta"
drop if _merge==2
drop _merge

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Facility - amt, maturity, secured.dta"
drop if _merge==2
drop _merge

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/CurrFacPricing-mini.dta"
drop if _merge==2
drop _merge

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/n_part per facility.dta"
drop if _merge==2
drop _merge

gen dealpurpose_1=1 if dealpurpose=="LBO"
replace dealpurpose_1=1 if dealpurpose=="Debt Repay."
replace dealpurpose_1=1 if dealpurpose=="Takeover"
replace dealpurpose_1=1 if dealpurpose=="Recap."
replace dealpurpose_1=0 if dealpurpose_1==.

*Keep main facilities (Amortizing and Revolving)
keep if loantype=="Term Loan" | loantype=="Term Loan A" |loantype=="Term Loan B" | loantype=="Revolver/Line < 1 Yr." | loantype=="Revolver/Line >= 1 Yr."

*Borrower Industry (DealScan)
merge m:1 borrowercompanyid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/borrower_industrycode.dta"
drop if _merge==2
drop _merge

gen str4 primarysiccode_temp = string(primarysiccode, "%04.0f")
gen primarysic_1=substr(primarysiccode_temp, 1, 1)
destring primarysic_1, replace 

*Borrower Characteristics (Compustat)
merge m:1 borrowercompanyid packageid using "/Users/aa21271/Dropbox/dealscan data work/DS Compustat - matching file by Roberts.dta"
drop if _merge==2
drop _merge

merge m:1 gvkey packageid datacqtr using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Compustat - financials - quarterly - packageid.dta"
drop _merge

gen sic_firstdigit=substr(sic, 1, 1)
destring sic_firstdigit, replace
drop if primarysiccode==4931 |primarysiccode==4922 |primarysiccode==4911

*Lender Characteristics (SNL & CompustatBank)
merge m:1 lendercompanyid year using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/Lender Control.dta"
drop if _merge==2
drop _merge

gen ln_maturity=ln(maturity)
gen ln_deal_amount=ln(dealamount+1) 
gen ln_assets = ln(atq)
gen roa= oibdpq/atq
gen coverage= oibdpq/xintq
gen leverage= ltq/atq

split datafqtr, g(part) p("Q")
gen findata_yr_qtr = part1 + part2
destring findata_yr_qtr, replace
la var findata_yr_qtr "first four digits: year, last digit: quarter"
drop part*

so packageid findata_yr_qtr
by packageid: gen ln_assets_lag = ln_assets[_n-1]
by packageid: gen roa_lag = roa[_n-1]
by packageid: gen coverage_lag = coverage[_n-1]
by packageid: gen leverage_lag = leverage[_n-1]
by packageid: gen z_scoreq_lag = z_scoreq[_n-1]

*Interactions
gen int_sec_post = sec*post
gen int_post_enron = post*enron_lender
gen int_enron_sec = enron_lender*sec
gen int_sec_post_enron = sec*post*enron_lender

*CLO Amount Pre-shock by lender (SNL)
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/CLO_Amount_Pre.dta"
drop if _merge==2
drop _merge

replace sum_clo_pre=0 if sum_clo_pre==.
gen lsum_clo_pre=ln(sum_clo_pre+1)
la var lsum_clo_pre "Ln(Total CLO Issue Pre-shock)"
gen int_secamt_post = lsum_clo_pre*post

*Labelling
la var lead_arranger "Lead Arranger"
la var post "Post"
la var sec "Sec"
la var enron_lender "enron Lender"
la var int_sec_post "Sec X Post"
la var int_post_enron "Post X enron"
la var int_enron_sec "enron X Sec"
la var int_sec_post_enron "Sec X Post X enron"
la var ln_deal_amount "Ln(Deal Amount)"
la var ln_maturity "Ln(Maturity)"
la var dealpurpose_1 "Deal Purpose"

*Lender Characteristics (SNL & CompustatBank)
merge m:1 lendercompanyid year using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/Lender Control.dta"
drop if _merge==2
drop _merge

gen termA_revoler=1 if loantype=="Term Loan A"| loantype=="Revolver/Line < 1 Yr." | loantype=="Revolver/Line >= 1 Yr."
gen revolver=1 if loantype=="Revolver/Line < 1 Yr." | loantype=="Revolver/Line >= 1 Yr."
replace revolver=0 if revolver==.
gen term_a_1=1 if loantype=="Term Loan A"
replace term_a_1=0 if term_a_1==.
gen term_1=1 if loantype=="Term Loan"
replace term_1=0 if term_1==.
gen term_terma_1=1 if loantype=="Term Loan A" | loantype=="Term Loan"
replace term_terma_1=0 if term_terma_1==.
gen term_b_1=1 if loantype=="Term Loan B"
replace term_b_1=0 if term_b_1==.  
gen st_revolver=1 if loantype=="Revolver/Line < 1 Yr."
replace st_revolver=0 if st_revolver==.
gen lt_revolver=1 if loantype=="Revolver/Line >= 1 Yr."
replace lt_revolver=0 if lt_revolver==.

*keep if dealactivedate_num>=20000101
*keep if dealactivedate_num<20040401

*Cleaning (small size loans - bottom quartile)
keep if inrange(ln_deal_amount, 0, r(p75))
drop if ln_deal_amount<18.72
drop if n_part<6
drop if fac_maturity==0
drop if maturity==0
drop if loanspread_total<0
drop if facilityamt==0

*Facility Maturity 
drop fac_start_yq fac_start_date fac_end_date fac_maturity

split facilitystartdate, g(part) p("/")
rename part3 fac_startyear
rename part2 fac_startday
rename part1 fac_startmonth
gen facstartdate_temp = fac_startyear + "-" + fac_startmonth + "-" + fac_startday

gen fac_start_date = date(facstartdate_temp, "YMD")
format fac_start_date %td
gen fac_start_ym = mofd(fac_start_date)
format fac_start_ym %tm
gen fac_start_yq = qofd(fac_start_date)
format fac_start_yq %tq

split facilityenddate, g(part) p("/")
rename part3 fac_endyear
rename part2 fac_endday
rename part1 fac_endmonth
gen facenddate_temp = fac_endyear + "-" + fac_endmonth + "-" + fac_endday

gen fac_end_date = date(facenddate_temp, "YMD")
format fac_end_date %td
gen fac_end_ym = mofd(fac_end_date)
format fac_end_ym %tm
gen fac_end_yq = qofd(fac_end_date)
format fac_end_yq %tq

gen fac_maturity=fac_end_ym-fac_start_ym
gen ln_fac_maturity = ln(fac_maturity)

*Collateral Manager Independence
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/colmanager_underwriter_dependence.dta"
drop if _merge==2
drop _merge

*CLO Issue: Total Amount before the shock (SNL)
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/CLO_Amount_Pre.dta"
drop if _merge==2
drop _merge

*Bank Control Variables
destring fac_startyear, replace
drop year
rename fac_startyear year
merge m:1 year lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/Bank_Controls.dta"
drop if _merge==2
drop _merge

*Bank name
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Company - lendercompanyid.dta"
keep if _merge==3
drop _merge
drop lender
rename company lender

*Global CLO Demand (S&P Data on Securitization)
merge m:1 year using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/CLO Demand.dta"
drop if _merge==2
drop _merge

*CLO owner LAs
merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/CLO underwriter.dta"
drop if _merge==2
gen clo_owner=1 if _merge==3 & lead_arranger==1
replace clo_owner=0 if clo_owner==.
drop _merge

merge m:1 lendercompanyid using "/Users/aa21271/Dropbox/Min_Angela_1/Source Data/CLO participants.dta"
drop if _merge==2
gen clo_part=1 if _merge==3
replace clo_part=0 if clo_part==.
drop _merge

so facilityid
by facilityid: egen clo_owner_deal=sum(clo_owner)
replace clo_owner_deal=1 if clo_owner_deal>0
by facilityid: egen clo_part_deal=sum(clo_part)
replace clo_part_deal=1 if clo_part_deal>0

gen clo_sponsor_deal=1 if clo_owner_deal==1 & clo_part_deal==1
replace clo_sponsor_deal=0 if clo_sponsor_deal==.

*Lender Characteristics (SNL & CompustatBank)
gen ln_bank_ta=ln(bank_total_assets)
gen bank_eq_to_ta=bank_total_equity/bank_total_assets
replace bank_probloan_grosscustomerloan=bank_probloan_grosscustomerloan/100
replace bank_roaa=bank_roaa/100
replace bank_roae=bank_roae/100
gen bank_deposit_to_ta=bank_totaldepostisfromcustomers/bank_total_assets
gen bank_netcustomerloans_ta=bank_netcustomerloans/bank_total_assets
gen bank_cashcasheq_ta=bank_cashcasheq/bank_total_assets 

la var loanspread_A "Loan Spread in Term A"
la var loanspread_B "Loan Spread in Term B"
la var loanspread_total "Total Loan Spread"
la var lead_arranger "Prob(Lead Arranger)"
la var ln_fac_maturity "Ln(Facility Maturity)"
la var ln_bank_ta "Ln(Lender Size)"
la var bank_eq_to_ta "Lender Capital"
la var bank_roae "Lender ROA"
la var bank_deposit_to_ta "Lender Deposit"
la var bank_cashcasheq_ta "Lender Liquidity"

egen ln_bankta_pre=mean(ln_bank_ta), by(lendercompanyid post)
replace ln_bankta_pre=. if post==1
bysort lendercompanyid (ln_bankta_pre) : gen ln_bankta_pre2 = ln_bankta_pre[1]
gen int_ln_bankta_pre_post=ln_bankta_pre2*post

egen bank_eq_to_ta_pre=mean(bank_eq_to_ta), by(lendercompanyid post)
replace bank_eq_to_ta_pre=. if post==1
bysort lendercompanyid (bank_eq_to_ta_pre) : gen bank_eq_to_ta_pre2 = bank_eq_to_ta_pre[1]
gen int_bank_eq_to_ta_pre_post=bank_eq_to_ta_pre2*post

egen bank_roae_pre=mean(bank_roae), by(lendercompanyid post)
replace bank_roae_pre=. if post==1
bysort lendercompanyid (bank_roae_pre) : gen bank_roae_pre2 = bank_roae_pre[1]
gen int_bank_roae_pre_post=bank_roae_pre2*post

egen bank_deposit_to_ta_pre=mean(bank_deposit_to_ta), by(lendercompanyid post)
replace bank_deposit_to_ta_pre=. if post==1
bysort lendercompanyid (bank_deposit_to_ta_pre) : gen bank_deposit_to_ta_pre2 = bank_deposit_to_ta_pre[1]
gen int_bank_deposit_to_ta_pre_post=bank_deposit_to_ta_pre2*post

egen bank_cashcasheq_ta_pre=mean(bank_cashcasheq_ta), by(lendercompanyid post)
replace bank_cashcasheq_ta_pre=. if post==1
bysort lendercompanyid (bank_cashcasheq_ta_pre) : gen bank_cashcasheq_ta_pre2 = bank_cashcasheq_ta_pre[1] 
gen int_bank_cashcasheq_ta_pre_post=bank_cashcasheq_ta_pre2*post

la var int_ln_bankta_pre_post "Ln(Lender Size) X Post"
la var int_bank_eq_to_ta_pre_post "Lender Capital X Post"
la var int_bank_roae_pre_post "Lender ROA X Post"
la var int_bank_deposit_to_ta_pre_post "Lender Deposit X Post"
la var int_bank_cashcasheq_ta_pre_post "Lender Liquidity X Post"

egen lender_qt=group(lendercompanyid deal_yrqt)
egen borrower_qt=group(borrowercompanyid deal_yrqt)
egen borrower_lender=group(borrowercompanyid lendercompanyid) 
egen ind_qt=group(primarysic_1 deal_yrqt)

save "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/probability to be a lead arranger/prob(lead arranger)_enron.dta", replace



********************************************************************************************************************************

*Table 13: Enron and WorldCom Lenders
clear
use "/Users/aa21271/Dropbox/Min_Angela_1/Analysis/Hypotheses Test/probability to be a lead arranger/prob(lead arranger)_enron.dta"

merge m:1 facilityid using "/Users/aa21271/Dropbox/dealscan data work/DealScan in excel/Facility -loantype.dta"
keep if _merge==3
drop _merge

keep if loantype=="Term Loan" | loantype=="Term Loan A" |loantype=="Term Loan B" | loantype=="Revolver/Line < 1 Yr." | loantype=="Revolver/Line >= 1 Yr." 

gen fac_rev=1 if loantype=="Revolver/Line < 1 Yr." | loantype=="Revolver/Line >= 1 Yr." | loantype=="364-Day Facility"
replace fac_rev=0 if fac_rev!=1
gen fac_term_loan=1 if loantype=="Term Loan" 
gen fac_term_a=1 if loantype=="Term Loan A"

replace fac_term_a=0 if fac_term_a!=1
gen fac_term_b=1 if loantype=="Term Loan B"
replace fac_term_b=0 if fac_term_b!=1

so packageid facilityid 
by packageid: egen deal_w_rev=sum(fac_rev)
by packageid: egen deal_w_term_loan=sum(fac_term_loan)

by packageid: egen deal_w_term_a=sum(fac_term_a)
by packageid: egen deal_w_term_b=sum(fac_term_b)

replace deal_w_rev=1 if deal_w_rev>0
replace deal_w_term_loan=1 if deal_w_term_loan>0

replace deal_w_term_a=1 if deal_w_term_a>0
replace deal_w_term_b=1 if deal_w_term_b>0

*gen Deal Lead Arranger
gen deal_la=1 if lead_arranger==1 & fac_term_a==1 
replace deal_la=1 if lead_arranger==1 & deal_la==. & deal_w_term_loan==1
replace deal_la=1 if lead_arranger==1 & deal_la==. & deal_w_term_loan==0 & deal_w_term_a==1 
replace deal_la=1 if lead_arranger==1 & deal_la==. & deal_w_term_loan==0 & deal_w_term_a==0 & deal_w_rev==1
replace deal_la=1 if lead_arranger==1 & deal_la==. & deal_w_term_loan==0 & deal_w_term_a==0 & deal_w_rev==0 & deal_w_term_b==1

replace deal_la=0 if deal_la==.
la var deal_la "Prob(Lead Arranger) in Deals"

gen yr_qt=datafqtr

*keep deal level information
keep deal_la post sec enron_lender int_sec_post_enron int_sec_post int_post_enron int_enron_sec lendercompanyid primarysic_1 deal_yrqt packageid deal_w_term_b deal_w_term_a deal_w_term_loan deal_w_rev dealpurpose dealamount maturity dealpurpose_1 ind_qt year dealactivedate_num yr_qt 
duplicates drop 

gen rev_only=1 if deal_w_rev==1 & deal_w_term_a==0 & deal_w_term_b==0 & deal_w_term_loan==0
replace rev_only=0 if rev_only==.

*Table 13
eststo clear
eststo: reghdfe deal_la int_sec_post_enron int_sec_post int_post_enron if rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_enron int_sec_post int_post_enron if rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_enron int_sec_post int_post_enron if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_enron int_sec_post int_post_enron if deal_w_term_b==0 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_enron int_sec_post int_post_enron if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid ind_qt) vce(cluster packageid lendercompanyid) noconstant
eststo: reghdfe deal_la int_sec_post_enron int_sec_post int_post_enron if deal_w_term_b==1 &rev_only==0, absorb(lendercompanyid primarysic_1 deal_yrqt) vce(cluster packageid lendercompanyid) noconstant
esttab using tab_deal.tex, title ("Probability(Lead Arranger) in Syndicated Loan Deals: Triple-Differences") star(* 0.10 ** 0.05 *** 0.01) se(3) b(3) ar2 replace label


